# Ext: sg_jobs 

<img src="https://www.sgalinski.de/typo3conf/ext/project_theme/Resources/Public/Images/logo.svg" />

License: [GNU GPL, Version 2](https://www.gnu.org/licenses/gpl-2.0.html)

Repository: https://gitlab.sgalinski.de/typo3/sg_jobs

Please report bugs here: https://gitlab.sgalinski.de/typo3/sg_jobs

TYPO3 version: >7.6 

## About
This extension provides job application functionality for a TYPO3 installation.

### Features:
* Creating jobs, including related details like companies and contacts
* Applying for the created jobs
* Applications include file uploads
* Every application is saved conveniently in a CSV format, along with the 
uploaded files
* Sends mail notifications when applications are submitted

## Integration
Typoscript files need to be included manually.

```
plugin.tx_sgjobs {
	settings {
		allowedFileExtensions - allowed file extensions for the uploads (default pdf)
		allowedMimeTypes - allowed mime types for the uploads (default application/pdf)
	}
}
```

## Backend Module
The Backend module is found in the **WEB** section under the name **Job Offers**.

You can create a new job offer by clicking on the **New Job Offer** button.

## Automated Email Messages

The extension uses **sg_mail** to configure email templates for the following email messages:

```

plugin.tx_sgjobs {
	settings {
		applicationEmail - the e-mail address that application notifications are sent to
	}
}
```

##.htaccess

The folder which contains the applications folder should be blocked from outside 
access from the .htaccess file. Example:

```
RedirectMatch 403 ^/fileadmin/ApplicationsFolder/.*$
```
